Rails.application.routes.draw do
  
  scope "(:locale)" do
    # User authentication
    devise_for :users

    # Active Admin
    devise_for :admin_users, ActiveAdmin::Devise.config
    ActiveAdmin.routes(self)

    # PHOTOS controller
    get 'photos/my_photos',      to: 'photos#my_photos',   as: 'my_photos'
    resources :photos

    # WELCOME controller
    get 'welcome/index',  to: 'welcome#index',      as: 'welcome_home'

    # API 
    namespace :api do
      namespace :v1 do
        resources :users, except: [:new, :edit, :index]
        resources :photos, except: [:new, :edit]
      end
    end

    # ROOT
    root to: 'welcome#index'
  end
    
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
