require 'rails_helper'

# This spec was generated by rspec-rails when you ran the scaffold generator.
# It demonstrates how one might use RSpec to specify the controller code that
# was generated by Rails when you ran the scaffold generator.
#
# It assumes that the implementation code is generated by the rails scaffold
# generator.  If you are using any extension libraries to generate different
# controller code, this generated spec may or may not pass.
#
# It only uses APIs available in rails and/or rspec-rails.  There are a number
# of tools you can use to make these specs even more expressive, but we're
# sticking to rails and rspec-rails APIs to keep things simple and stable.
#
# Compared to earlier versions of this generator, there is very limited use of
# stubs and message expectations in this spec.  Stubs are only used when there
# is no simpler way to get a handle on the object needed for the example.
# Message expectations are only used when there is no simpler way to specify
# that an instance is receiving a specific message.

RSpec.describe Api::V1::PhotosController, type: :controller do

  # This should return the minimal set of attributes required to create a valid
  # Photo. As you add validations to Photo, be sure to
  # adjust the attributes here as well.
  let(:valid_attributes) {
    skip("Add a hash of attributes valid for your model")
  }

  let(:invalid_attributes) {
    skip("Add a hash of attributes invalid for your model")
  }

  # This should return the minimal set of values that should be in the session
  # in order to pass any filters (e.g. authentication) defined in
  # Api::V1::PhotosController. Be sure to keep this updated too.
  let(:valid_session) { {} }

  describe "GET #index" do
    it "assigns all photos as @photos" do
      photo = Photo.create! valid_attributes
      get :index, params: {}, session: valid_session
      expect(assigns(:photos)).to eq([photo])
    end
  end

  describe "GET #show" do
    it "assigns the requested api_v1 as @api_v1" do
      photo = Photo.create! valid_attributes
      get :show, params: {id: photo.to_param}, session: valid_session
      expect(assigns(:api_v1)).to eq(photo)
    end
  end

  describe "GET #new" do
    it "assigns a new api_v1 as @api_v1" do
      get :new, params: {}, session: valid_session
      expect(assigns(:api_v1)).to be_a_new(Photo)
    end
  end

  describe "GET #edit" do
    it "assigns the requested api_v1 as @api_v1" do
      photo = Photo.create! valid_attributes
      get :edit, params: {id: photo.to_param}, session: valid_session
      expect(assigns(:api_v1)).to eq(photo)
    end
  end

  describe "POST #create" do
    context "with valid params" do
      it "creates a new Photo" do
        expect {
          post :create, params: {api_v1: valid_attributes}, session: valid_session
        }.to change(Photo, :count).by(1)
      end

      it "assigns a newly created api_v1 as @api_v1" do
        post :create, params: {api_v1: valid_attributes}, session: valid_session
        expect(assigns(:api_v1)).to be_a(Photo)
        expect(assigns(:api_v1)).to be_persisted
      end

      it "redirects to the created api_v1" do
        post :create, params: {api_v1: valid_attributes}, session: valid_session
        expect(response).to redirect_to(Photo.last)
      end
    end

    context "with invalid params" do
      it "assigns a newly created but unsaved api_v1 as @api_v1" do
        post :create, params: {api_v1: invalid_attributes}, session: valid_session
        expect(assigns(:api_v1)).to be_a_new(Photo)
      end

      it "re-renders the 'new' template" do
        post :create, params: {api_v1: invalid_attributes}, session: valid_session
        expect(response).to render_template("new")
      end
    end
  end

  describe "PUT #update" do
    context "with valid params" do
      let(:new_attributes) {
        skip("Add a hash of attributes valid for your model")
      }

      it "updates the requested api_v1" do
        photo = Photo.create! valid_attributes
        put :update, params: {id: photo.to_param, api_v1: new_attributes}, session: valid_session
        photo.reload
        skip("Add assertions for updated state")
      end

      it "assigns the requested api_v1 as @api_v1" do
        photo = Photo.create! valid_attributes
        put :update, params: {id: photo.to_param, api_v1: valid_attributes}, session: valid_session
        expect(assigns(:api_v1)).to eq(photo)
      end

      it "redirects to the api_v1" do
        photo = Photo.create! valid_attributes
        put :update, params: {id: photo.to_param, api_v1: valid_attributes}, session: valid_session
        expect(response).to redirect_to(photo)
      end
    end

    context "with invalid params" do
      it "assigns the api_v1 as @api_v1" do
        photo = Photo.create! valid_attributes
        put :update, params: {id: photo.to_param, api_v1: invalid_attributes}, session: valid_session
        expect(assigns(:api_v1)).to eq(photo)
      end

      it "re-renders the 'edit' template" do
        photo = Photo.create! valid_attributes
        put :update, params: {id: photo.to_param, api_v1: invalid_attributes}, session: valid_session
        expect(response).to render_template("edit")
      end
    end
  end

  describe "DELETE #destroy" do
    it "destroys the requested api_v1" do
      photo = Photo.create! valid_attributes
      expect {
        delete :destroy, params: {id: photo.to_param}, session: valid_session
      }.to change(Photo, :count).by(-1)
    end

    it "redirects to the photos list" do
      photo = Photo.create! valid_attributes
      delete :destroy, params: {id: photo.to_param}, session: valid_session
      expect(response).to redirect_to(photos_url)
    end
  end

end
